<?php $__env->startPush('css'); ?>

<?php $__env->stopPush(); ?>

<?php $__env->startSection('contents'); ?>
<div class="breadcrumb-area">
  <h3 class="title"><?php echo app('translator')->get('Support Tickets'); ?></h3>
  <ul class="breadcrumb">
    <li>
      <a href="user-dashboard.html">Dashboard</a>
    </li>
    <li>
      <?php echo app('translator')->get('Support Tickets'); ?>
    </li>
  </ul>
</div>




<div class="dashboard--content-item">
  <div class="d-flex justify-content-between">
    <a href="<?php echo e(route('user.message.create')); ?>" class="ms-auto btn btn-primary mb-2">
      <?php echo app('translator')->get('Create Ticket'); ?>
    </a>
  </div>
	  <div class="table-responsive table--mobile-lg">
		  <table class="table bg--body">
			  <thead>
				  <tr>
                    <th><?php echo e(__('Ticket')); ?></th>
                    <th><?php echo e(__('Subject')); ?></th>
                    <th><?php echo e(__('Message')); ?></th>
                    <th><?php echo e(__('Time')); ?></th>
                    <th><?php echo e(__('Status')); ?></th>
                    <th><?php echo e(__('Action')); ?></th>
				  </tr>
			  </thead>
			  <tbody>
          <?php if(count($convs) == 0): ?>
            <tr>
              <td colspan="12">
                <h4 class="text-center m-0 py-2"><?php echo e(__('No Data Found')); ?></h4>
              </td>
            </tr>
          <?php else: ?>
            <?php $__currentLoopData = $convs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $conv): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <tr class="conv">
                <input type="hidden" value="<?php echo e($conv->id); ?>">
                <td data-label="<?php echo e(__('Ticket')); ?>">
                  <div>
                    <strong><?php echo e($conv->ticket_number); ?></strong>
                  </div>
                </td>

                <td data-label="<?php echo e(__('Subject')); ?>">
                  <div>
                    <?php echo e($conv->subject); ?>

                  </div>
                </td>

                <td data-label="<?php echo e(__('Message')); ?>">
                  <div>
                    <?php echo e($conv->message); ?>

                  </div>
                </td>

                <td data-label="<?php echo e(__('Time')); ?>">
                  <div>
                    <?php echo e($conv->created_at->diffForHumans()); ?>

                  </div>
                </td>

                <td data-label="<?php echo e(__('Status')); ?>">
                    <div>
                        <?php if($conv->status == 1): ?>
                            <span class="badge badge--success"><?php echo app('translator')->get('open'); ?></span>
                        <?php else: ?>
                            <span class="badge badge--danger"><?php echo app('translator')->get('close'); ?></span>
                        <?php endif; ?>
                    </div>
                </td>


                <td data-label="<?php echo e(__('Action')); ?>">
                  <div class="d-flex">
                    <a href="<?php echo e(route('user.message.show',$conv->id)); ?>" class="link view me-1 btn d-block btn-sm btn-primary"><i class="fa fa-eye"></i></a>
                  </div>
                </td>

              </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
			  </tbody>
		  </table>
	  </div>
</div>




<div class="modal modal-blur fade" id="confirm-delete" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-sm modal-dialog-centered" role="document">
    <div class="modal-content">
      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      <div class="modal-status bg-danger"></div>
      <div class="modal-body text-center py-4">
        <svg xmlns="http://www.w3.org/2000/svg" class="icon mb-2 text-danger icon-lg" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M12 9v2m0 4v.01" /><path d="M5 19h14a2 2 0 0 0 1.84 -2.75l-7.1 -12.25a2 2 0 0 0 -3.5 0l-7.1 12.25a2 2 0 0 0 1.75 2.75" /></svg>
        <h3><?php echo e(__('Are you sure')); ?>?</h3>
        <div class="text-muted"><?php echo e(__("You are about to delete this Ticket.")); ?></div>
      </div>
      <div class="modal-footer">
        <div class="w-100">
          <div class="row">
            <div class="col"><a href="#" class="btn w-100" data-bs-dismiss="modal">
                <?php echo e(__('Cancel')); ?>

              </a></div>
            <div class="col">
              <a href="javascript:;" class="btn btn-danger w-100 btn-ok">
                <?php echo e(__('Delete')); ?>

              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</div>


<?php $__env->stopSection(); ?>

<?php $__env->startPush('js'); ?>


<script type="text/javascript">
    'use strict';

      $('#confirm-delete').on('show.bs.modal', function(e) {
          $(this).find('.btn-ok').attr('href', $(e.relatedTarget).data('href'));
      });

</script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp\htdocs\latest\HYIP-latest\project\resources\views/user/message/index.blade.php ENDPATH**/ ?>